
ChiliProject - Feature # 392: Better Git support

Status: Declined Priority: Normal
Author: Thibaut Cuvelier Category:
Created: 2011-05-12 Assignee:
Updated: 2011-05-20 Due date:
Remote issue URL:
Affected version:
Description: As GitHub or Gitorious are handling Git forks, pulling requests and many other things that make Git so 

popular nowadays, wouldn't it be great to have the same kind of functionalities in ChiliProject? You could 
manage your repo from CP, with all the advantages one can see (automatic links with issues, for example). 
That way, it would be possible to use Git internally, without having to rely on (and pay for) GitHub or another 
hosting service (GitHub does not provide free private repos, I could not find anything about Gitorious). 

History
2011-05-12 11:31 pm - Eric Davis
Can we split this feature into smaller issues? "Better" to me is pretty vague and I'm afraid it's too large for anyone to really work on.

2011-05-13 10:42 am - Thibaut Cuvelier
Eric Davis wrote:
> Can we split this feature into smaller issues? "Better" to me is pretty vague and I'm afraid it's too large for anyone to really work on.

This is what I tried to do: #395 and #396, smaller but dependant parts (#395 has to be done before #396). Then, I really do not know if I can split in 
smaller chunks (and I could not work intensively on it, I don't speak Ruby and I don't have enough time to learn it and to write so much code; moreover, 
I'm not a Git fan, just an admin hearing that kind of complaints about Git support). 

2011-05-14 02:46 am - Be Fio
Check out this Redmine plugin. You may be somehow able to take code from it, or merge it somehow (you'd need to talk to the plugin developer). It's 
really nice. It has some nice features such as being able to use the git daemon, smart http support, even ssh compatibility (with public keys!).

https://github.com/ericpaulbishop/redmine_git_hosting/

2011-05-20 03:43 pm - Eric Davis
- Status changed from Open to Declined

Thibaut Cuvelier:

Thanks, I'm going to close this issue now. We can talk in the other issues now.
